~vcs-imports/mnemosyne-proj/maemosyne

« back to all changes in this revision

Viewing changes to mnemosyne/mnemosyne/libmnemosyne/dbfixer.py

  • Committer: Ed Bartosh
  • Date: 2010-08-01 18:26:27 UTC
  • Revision ID: git-v1:7c9db28abc93924791f75b036b89d0bd88c268ab
Tags: libmnemosyne/2.0.0-17rc1, mnemosyne/2.0.0beta13
changed version of libmnemosyne

Show diffs side-by-side

added added

removed removed

Lines of Context:
70
70
            self.fix_indexes()
71
71
            self.fix_cards()
72
72
 
73
 
        # Upgrade from python-libmnemosyne 2.0.0-16~rc2 to 2.0.0-17
 
73
        # Upgrade from python-libmnemosyne 2.0.0-16~rc2 to 2.0.0-17~rc1
74
74
        version = self.connection.execute("""select value from global_variables
75
75
                   where key=?""", ("version", )).fetchone()["value"]
76
76
        if version == "SQL 1.0":
77
 
            self.upgrade_from_16rc2_to_17()
78
 
 
79
 
 
80
 
    def upgrade_from_16rc2_to_17(self):
81
 
        """Upgrade from python-libmnemosyne 2.0.0-16~rc2 to 2.0.0-17
 
77
            self.upgrade_from_16rc2_to_17rc1()
 
78
 
 
79
 
 
80
    def upgrade_from_16rc2_to_17rc1(self):
 
81
        """Upgrade from python-libmnemosyne 2.0.0-16~rc2 to 2.0.0-17~rc1
82
82
           from db version "SQL 1.0" to "Mnemosyne SQL 1.0".
83
83
        """
84
84